import 'package:subtitle/subtitle.dart';

const vttData = '''WEBVTT FILE

5
00:00:19.000 --> 00:00:24.000
Which is why we are bringing TV, internet and phone together in <c.highlight>one</c> super package

3
00:00:11.000 --> 00:00:14.000 A:end
Phone conversations where people truly <c.highlight>connect</c>

1
00:00:03.500 --> 00:00:05.000 D:vertical A:start
Everyone wants the most from life

2
00:00:06.000 --> 00:00:09.000 A:start
Like internet experiences that are rich <b>and</b> entertaining


4
00:00:14.500 --> 00:00:18.000
Your favourite TV programmes ready to watch at the touch of a button

6
00:00:24.500 --> 00:00:26.000
<c.highlight>One</c> simple way to get everything

7
00:00:26.500 --> 00:00:27.500 L:12%
UPC

8
00:00:28.000 --> 00:00:30.000 L:75%
Simply for <u>everyone</u>''';

const str = '''
`1
00:00:02,347 --> 00:00:07,951
A l’Ouest le soleil se couche

2
00:00:08,917 --> 00:00:13,487
Il arrive à la fin de sa course

3
00:00:14,411 --> 00:00:18,748
Et je vois combien ce temps est là

4
00:00:19,367 --> 00:00:23,891
Oh le temps du coucher du soleil

5
00:00:25,434 --> 00:00:27,331
C’est la fin

6
00:00:28,206 --> 00:00:29,885
C’est la fin

7
00:00:31,158 --> 00:00:34,972
C’est la fin de la course

8
00:00:35,712 --> 00:00:37,638
C’est la fin

9
00:00:38,212 --> 00:00:40,106
C’est la fin

10
00:00:40,965 --> 00:00:44,810
C’est la fin de toute chose

11
00:00:46,198 --> 00:00:50,374
Et voici que la lumière du soir

12
00:00:51,015 --> 00:00:54,854
A l’Ouest pour moi a paru

13
00:00:55,649 --> 00:00:59,895
Elle manifeste le fils de l’homme

14
00:01:00,301 --> 00:01:03,707
Et je crois c’est vrai je crois

15
00:01:03,775 --> 00:01:04,775

''';

void main(List<String> args) async {
  //! By using controller
  var controller = SubtitleController(
      provider: SubtitleProvider.fromString(
    data: str,
    type: SubtitleType.srt,
  ));

  await controller.initial();
  printResult(controller.subtitles);

  //! By using objects
  var object = SubtitleObject(
    data: vttData,
    type: SubtitleType.vtt,
  );
  var parser = SubtitleParser(object);
  printResult(parser.parsing());
}

void printResult(List<Subtitle> subtitles) {
  subtitles.sort((s1, s2) => s1.compareTo(s2));
  for (var result in subtitles) {
    print(
        '(${result.index}) Start: ${result.start}, end: ${result.end} [${result.data}]');
  }
}
